# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.13

# Default target executed when no arguments are given to make.
default_target: all

.PHONY : default_target

# Allow only one "make -f Makefile2" at a time, but pass parallelism.
.NOTPARALLEL:


#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:


# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list


# Suppress display of executed commands.
$(VERBOSE).SILENT:


# A target that is always out of date.
cmake_force:

.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/pkg/bin/cmake

# The command to remove a file.
RM = /usr/pkg/bin/cmake -E remove -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /tmp/pkgbuild/geography/qlandkartegt/work/qlandkartegt-1.4.2

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /tmp/pkgbuild/geography/qlandkartegt/work/qlandkartegt-1.4.2

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/pkg/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/pkg/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/pkg/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/pkg/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/pkg/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/pkg/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components

.PHONY : list_install_components/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/pkg/bin/cmake -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache

.PHONY : rebuild_cache/fast

# Special rule for the target package
package: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool..."
	/usr/pkg/bin/cpack --config ./CPackConfig.cmake
.PHONY : package

# Special rule for the target package
package/fast: package

.PHONY : package/fast

# Special rule for the target package_source
package_source:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool for source..."
	/usr/pkg/bin/cpack --config ./CPackSourceConfig.cmake /tmp/pkgbuild/geography/qlandkartegt/work/qlandkartegt-1.4.2/CPackSourceConfig.cmake
.PHONY : package_source

# Special rule for the target package_source
package_source/fast: package_source

.PHONY : package_source/fast

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake cache editor..."
	/usr/pkg/bin/ccmake -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache

.PHONY : edit_cache/fast

# The main all target
all: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /tmp/pkgbuild/geography/qlandkartegt/work/qlandkartegt-1.4.2/CMakeFiles /tmp/pkgbuild/geography/qlandkartegt/work/qlandkartegt-1.4.2/CMakeFiles/progress.marks
	$(MAKE) -f CMakeFiles/Makefile2 all
	$(CMAKE_COMMAND) -E cmake_progress_start /tmp/pkgbuild/geography/qlandkartegt/work/qlandkartegt-1.4.2/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	$(MAKE) -f CMakeFiles/Makefile2 clean
.PHONY : clean

# The main clean target
clean/fast: clean

.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	$(MAKE) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	$(MAKE) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	$(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

#=============================================================================
# Target rules for targets named uninstall

# Build rule for target.
uninstall: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 uninstall
.PHONY : uninstall

# fast build rule for target.
uninstall/fast:
	$(MAKE) -f CMakeFiles/uninstall.dir/build.make CMakeFiles/uninstall.dir/build
.PHONY : uninstall/fast

#=============================================================================
# Target rules for targets named SerialPort

# Build rule for target.
SerialPort: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 SerialPort
.PHONY : SerialPort

# fast build rule for target.
SerialPort/fast:
	$(MAKE) -f 3rdparty/SerialPort/CMakeFiles/SerialPort.dir/build.make 3rdparty/SerialPort/CMakeFiles/SerialPort.dir/build
.PHONY : SerialPort/fast

#=============================================================================
# Target rules for targets named QMKToolBox

# Build rule for target.
QMKToolBox: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 QMKToolBox
.PHONY : QMKToolBox

# fast build rule for target.
QMKToolBox/fast:
	$(MAKE) -f 3rdparty/QMKToolBox/CMakeFiles/QMKToolBox.dir/build.make 3rdparty/QMKToolBox/CMakeFiles/QMKToolBox.dir/build
.PHONY : QMKToolBox/fast

#=============================================================================
# Target rules for targets named qzip

# Build rule for target.
qzip: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 qzip
.PHONY : qzip

# fast build rule for target.
qzip/fast:
	$(MAKE) -f 3rdparty/QZip/CMakeFiles/qzip.dir/build.make 3rdparty/QZip/CMakeFiles/qzip.dir/build
.PHONY : qzip/fast

#=============================================================================
# Target rules for targets named qtexthtmlexporter

# Build rule for target.
qtexthtmlexporter: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 qtexthtmlexporter
.PHONY : qtexthtmlexporter

# fast build rule for target.
qtexthtmlexporter/fast:
	$(MAKE) -f 3rdparty/QTextHtmlExporter/CMakeFiles/qtexthtmlexporter.dir/build.make 3rdparty/QTextHtmlExporter/CMakeFiles/qtexthtmlexporter.dir/build
.PHONY : qtexthtmlexporter/fast

#=============================================================================
# Target rules for targets named getopt

# Build rule for target.
getopt: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 getopt
.PHONY : getopt

# fast build rule for target.
getopt/fast:
	$(MAKE) -f 3rdparty/getopt/CMakeFiles/getopt.dir/build.make 3rdparty/getopt/CMakeFiles/getopt.dir/build
.PHONY : getopt/fast

#=============================================================================
# Target rules for targets named map2gcm

# Build rule for target.
map2gcm: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 map2gcm
.PHONY : map2gcm

# fast build rule for target.
map2gcm/fast:
	$(MAKE) -f 3rdparty/map2gcm/CMakeFiles/map2gcm.dir/build.make 3rdparty/map2gcm/CMakeFiles/map2gcm.dir/build
.PHONY : map2gcm/fast

#=============================================================================
# Target rules for targets named map2rmap

# Build rule for target.
map2rmap: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 map2rmap
.PHONY : map2rmap

# fast build rule for target.
map2rmap/fast:
	$(MAKE) -f 3rdparty/map2rmap/CMakeFiles/map2rmap.dir/build.make 3rdparty/map2rmap/CMakeFiles/map2rmap.dir/build
.PHONY : map2rmap/fast

#=============================================================================
# Target rules for targets named cache2gtiff

# Build rule for target.
cache2gtiff: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 cache2gtiff
.PHONY : cache2gtiff

# fast build rule for target.
cache2gtiff/fast:
	$(MAKE) -f 3rdparty/cache2gtiff/CMakeFiles/cache2gtiff.dir/build.make 3rdparty/cache2gtiff/CMakeFiles/cache2gtiff.dir/build
.PHONY : cache2gtiff/fast

#=============================================================================
# Target rules for targets named qlandkartegt

# Build rule for target.
qlandkartegt: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 qlandkartegt
.PHONY : qlandkartegt

# fast build rule for target.
qlandkartegt/fast:
	$(MAKE) -f src/CMakeFiles/qlandkartegt.dir/build.make src/CMakeFiles/qlandkartegt.dir/build
.PHONY : qlandkartegt/fast

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... install/strip"
	@echo "... install/local"
	@echo "... install"
	@echo "... list_install_components"
	@echo "... rebuild_cache"
	@echo "... uninstall"
	@echo "... package"
	@echo "... package_source"
	@echo "... edit_cache"
	@echo "... SerialPort"
	@echo "... QMKToolBox"
	@echo "... qzip"
	@echo "... qtexthtmlexporter"
	@echo "... getopt"
	@echo "... map2gcm"
	@echo "... map2rmap"
	@echo "... cache2gtiff"
	@echo "... qlandkartegt"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	$(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

